WindowbackEvent = {};
WindowbackEvent_mt = Class(WindowbackEvent, Event);

InitEventClass(WindowbackEvent, "WindowbackEvent");

function WindowbackEvent:emptyNew()
    local self = Event:new(WindowbackEvent_mt );
    self.className="WindowbackEvent";
    return self;
end;

function WindowbackEvent:new(vehicle, BackWindow)
    self.vehicle = vehicle;
    self.BackWindow = BackWindow;
    return self;
end;

function WindowbackEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
    self.BackWindow = streamReadBool(streamId);
    self.vehicle = networkGetObject(id);
    self:run(connection);
end;

function WindowbackEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.vehicle));
    streamWriteBool(streamId, self.BackWindow );
end;

function WindowbackEvent:run(connection)
    self.vehicle:setWindowback(self.BackWindow, true);
	if not connection:getIsServer() then
		g_server:broadcastEvent(WindowbackEvent:new(self.vehicle, self.BackWindow), nil, connection, self.object);
	end;
end;

function WindowbackEvent.sendEvent(vehicle, BackWindow, noEventSend)
	if noEventSend == nil or noEventSend == false then
		if g_server ~= nil then 
			g_server:broadcastEvent(WindowbackEvent:new(vehicle, BackWindow), nil, nil, vehicle);
		else
			g_client:getServerConnection():sendEvent(WindowbackEvent:new(vehicle, BackWindow));
		end;
	end;
end;
